Package org.eclipse.jface.action

# Interface ExternalActionManager.IExecuteApplicable

Enclosing class:
  `ExternalActionManager`

public static interface ExternalActionManager.IExecuteApplicable
An overridable mechanism to filter certain IActions from the execution bridge.

Since:
  3.4

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isApplicable(IAction action)`
Allow the callback to filter out actions that should not fire execution events.

## Method Details

### isApplicable

boolean isApplicable(IAction action)
Allow the callback to filter out actions that should not fire execution events.

Parameters:
  `action` - The action with an actionDefinitionId
Returns:
  true if this action should be considered.